#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: ksnakeduel
Summary: Snake race played against the computer
Group: Games/Arcade
URL: http://www.kde.org/applications/games/ksnakeduel/
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Conflicts: kdesnake < 1:4.9.80
Obsoletes: kdesnake < 1:4.9.80
Requires: ktron

%description
KSnakeDuel is a fast action game where you steer a snake 
which has to eat food. While eating the snake grows. But 
once a player collides with the other snake or the wall 
the game is lost. This becomes of course more and more 
difficult the longer the snakes grow.

%files
%_kde_bindir/kdesnake
%_kde_applicationsdir/kdesnake.desktop
%_kde_iconsdir/hicolor/*/*/kdesnake.*

#------------------------------------------------------------------------------

%package -n ktron
Summary: Simple Tron clone
Group: Games/Strategy
URL: http://www.kde.org/applications/games/ktron
Suggests: ktron-handbook

%description -n ktron
Well known from the famous movie, KTron is a popular computer
game for two players. In a fast action sequence both players
have to move and avoid colliding with any walls, the opponent
as well as the own path. The player colliding first looses the
game.

%files -n ktron
%_kde_bindir/ktron
%_kde_applicationsdir/ktron.desktop
%_kde_appsdir/ktron
%_kde_datadir/config.kcfg/ktron.kcfg
%_kde_datadir/config/ktron.knsrc
%_kde_iconsdir/hicolor/*/*/ktron.png

#------------------------------------------------------------------------------

%package -n ktron-handbook
Summary: ktron handbook
Conflicts: ktron < 1:4.7.1-2
Requires:  ktron >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n ktron-handbook
This package provides the ktron handbook.

%files -n ktron-handbook
%_kde_docdir/HTML/en/ktron

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450676
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407259
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401918
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394426
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1:4.9.97-1.mga3
+ Revision: 340033
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334587
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326789
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319366
- imported package ksnakeduel

